tex-common (6.19) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + tex-common: Drop versioned constraint on cm-super-minimal, ko.tex-base,
      ko.tex-extra, latex-cjk-chinese, latex-cjk-chinese-arphic-bkai00mp,
      latex-cjk-chinese-arphic-bsmi00lp, latex-cjk-chinese-arphic-gbsn00lp,
      latex-cjk-chinese-arphic-gkai00mp, latex-cjk-thai,
      latex-fonts-sipa-arundina, scalable-cyrfonts-tex and texlive-binaries in
      Breaks.

  * Add patches from Bjarni Ingi Gislason <bjarniig@simnet.is> for
    - update-tl-stacked-conffile.8 (Closes: #1088253)
    - update-texmf.8 (Closes: #1088249)
    - update-texmf-config.8 (Closes: #1099137)

 -- Hilmar Preuße <hille42@debian.org>  Fri, 28 Feb 2025 23:18:19 +0100

tex-common (6.18) unstable; urgency=medium

  [ Hilmar Preusse ]
  * Update standards version to 4.6.1, no changes needed.
  * Lintian:
    - E: depends-on-essential-package-without-using-version Pre-Depends: dpkg
    - I: conflicts-with-version
    - I: no-dh-sequencer
    - P: no-dep5-copyright
    - O: package-contains-empty-directory

  [ Norbert Preining ]
  * set LC_ALL=C before running fmtutil (Closes: #1021515)

 -- Hilmar Preusse <hille42@web.de>  Wed, 12 Oct 2022 23:25:33 +0200

tex-common (6.17) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + tex-common: Drop versioned constraint on debhelper in Suggests.
    + tex-common: Drop versioned constraint on dpkg in Pre-Depends.
    + tex-common: Drop versioned constraint on context in Conflicts.
    + tex-common: Drop versioned constraint on alqalam, cm-super,
      latex-cjk-japanese-wadalab, lmodern, tex-gyre, texlive-base and tipa in
      Breaks.
    + Remove 3 maintscript entries from 1 files.
  * Use set -e rather than passing -e on the shebang-line.
  * Update standards version to 4.5.1, no changes needed.

  [ Norbert Preining ]
  * Replace which with command -v
  * Update standards version to 4.6.1, no changes needed.

 -- Norbert Preining <norbert@preining.info>  Sat, 04 Sep 2021 18:34:08 +0900

tex-common (6.16) unstable; urgency=medium

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Provide dh-sequence-tex. (Closes: #982609)

  * Add d/clean for clean target.
  * Add me to Uploaders.
  * Add "Rules-Requires-Root: no"

 -- Hilmar Preusse <hille42@web.de>  Fri, 12 Feb 2021 23:13:49 +0100

tex-common (6.15) unstable; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 0.5.

  [ Hilmar Preusse ]
  * Change Maintainer field to "Debian TeX Task Force".

  [ Norbert Preining ]
  * Only make /u/l/s/texmf group staff if /etc/staff-group-for-usr-local is
    present (Closes: #962419)
  * Bump standards version to 4.5.0, and dh compat to 13

 -- Norbert Preining <norbert@preining.info>  Mon, 08 Jun 2020 17:31:14 +0900

tex-common (6.14) unstable; urgency=medium

  * Add luajithbtex to the list of TeX engines where missing formats
    are ignored. (Closes: #956928)

  [ Debian Janitor <janitor@jelmer.uk> ]
  * Trim trailing whitespace.
  * Use set -e rather than passing -e on the shebang-line.
  * Upgrade to newer source format.

  [ Norbert Preining ]
  * Remove luahbtex from the list of TeX engines where missing formats
    are ignored.
  * Switch to dh compatibility level 12

 -- Norbert Preining <norbert@preining.info>  Fri, 17 Apr 2020 10:25:27 +0900

tex-common (6.13) unstable; urgency=medium

  * fmtutil shouldn't fail on missing luahbtex
  * ensure dh_installtex induced deps are on tex-common >= 6.13

 -- Norbert Preining <norbert@preining.info>  Tue, 03 Dec 2019 19:04:06 +0900

tex-common (6.12) unstable; urgency=medium

  * trigger ls-R rebuilds also for /usr/share/doc/texlive-doc which is linked
    to /usr/share/texlive/texmf-dist/doc (Closes: #933517)

 -- Norbert Preining <norbert@preining.info>  Wed, 31 Jul 2019 16:21:24 +0900

tex-common (6.11) unstable; urgency=medium

  * update VCS fields and my email

 -- Norbert Preining <norbert@preining.info>  Thu, 28 Feb 2019 23:28:40 +0900

tex-common (6.10) unstable; urgency=medium

  * Fix URL's of Vcs-Git & Vcs-Browser (Closes: #900185)
  * remove priority from dh-installtex, break against old cm-super using it
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Sun, 02 Sep 2018 21:32:33 +0900

tex-common (6.09) unstable; urgency=medium

  * set LANG to C before running fmtutil, in case it is not set, otherwise
    luatex might not build (Closes: #872012)

 -- Norbert Preining <preining@debian.org>  Thu, 17 Aug 2017 14:38:09 +0900

tex-common (6.08) unstable; urgency=medium

  * remove Florent and Frank from the list of uploaders,
    thanks for your work (Closes: #869311)
  * add $VERSION to dh_installtex (Closes: #872168)
  * update-texmf: add -o|--output option (Closes: #267567)
  * remove completely outdated and wrong documentation, and remove
    build dep on debiandoc (Closes: #663281)

 -- Norbert Preining <preining@debian.org>  Tue, 15 Aug 2017 11:51:38 +0900

tex-common (6.07) unstable; urgency=medium

  * use texlive-base:all in dpkg query, to make sure no rogue :ARCH
    package interferes with the output (Closes: #865300)
  * switch all triggers to -noawait (Closes: #865723)
  * bump standards version to 4.0.0, no changes necessary

 -- Norbert Preining <preining@debian.org>  Sat, 24 Jun 2017 21:20:59 +0900

tex-common (6.06) unstable; urgency=medium

  * add mfluajit to the no-error-if-no-engine args as with upstream
  * remove /v/l/texmf/web2c/fmtutil.cnf, otherwise fmtutil picks
    up old config files (Closes: #851598)
  * bump standards version and dh compat, no changes necessary

 -- Norbert Preining <preining@debian.org>  Tue, 17 Jan 2017 11:45:34 +0900

tex-common (6.05) unstable; urgency=medium

  * fmtutil calling convention updated, switch to --strict
  * fmtutil: call --byhyphen with file name unexpanded (Closes: #815416)
  * bump standards version, no changes necessary
  * adjust vcs-browser location
  * dh_clean -> dh_prep in rules file

 -- Norbert Preining <preining@debian.org>  Mon, 22 Feb 2016 20:14:06 +0900

tex-common (6.04) unstable; urgency=medium

  * set Multi-Arch: foreign

 -- Norbert Preining <preining@debian.org>  Wed, 14 Oct 2015 12:48:21 +0900

tex-common (6.03) unstable; urgency=medium

  * do not create temp files in / (Closes: #797381)
  * work on the documentation

 -- Norbert Preining <preining@debian.org>  Thu, 03 Sep 2015 09:22:38 +0900

tex-common (6.02) unstable; urgency=medium

  * add help2man to build-deps (Closes: #790101)

 -- Norbert Preining <preining@debian.org>  Sat, 27 Jun 2015 23:05:12 +0900

tex-common (6.01) unstable; urgency=medium

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Thu, 25 Jun 2015 14:41:33 +0900

tex-common (6.00) experimental; urgency=medium

  * remove Atsuhito Kohda from uploaders, he has retired. Thanks for the
    long years of work! (Closes: #773961)
  * remove redundant code in postinst (Closes: #777558)
  * rework fmtutil/hyphen handling in the same way as updmap handling
  * switch to trigger activated format building
  * try to ensure reproducible builds in files generated by dh_installtex
  * dh_installtex: remove generated dep on dpkg (Closes: #787906)

 -- Norbert Preining <preining@debian.org>  Sun, 07 Jun 2015 10:27:15 +0900

tex-common (5.03) unstable; urgency=medium

  * remove C.M. Connelly from uploaders, MIA (Closes: #765326)
  * bump standards version, no changes necessary
  * delete misleading/outdated paragraph from Debian TeX Policy

 -- Norbert Preining <preining@debian.org>  Tue, 21 Oct 2014 09:44:31 +0900

tex-common (5.02) unstable; urgency=medium

  * call fmtutil-sys with --no-error-if-no-engine=luajittex following
    upstream, as there are some architectures that do not support
    luajittex

 -- Norbert Preining <preining@debian.org>  Fri, 30 May 2014 17:58:17 +0900

tex-common (5.01) unstable; urgency=medium

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Wed, 28 May 2014 17:55:12 +0900

tex-common (5.00) experimental; urgency=low

  * fix man page of update-updmap (Closes: #717070)
  * exchange the check for kpsewhich running with a check for
    texlive-binaries being installed/configured. Otherwise we might
    run into library upgrade problems (missing symbols due to missing
    so bump upstream). This is done both in the debian/postinst as
    well as the postinst-tex code for dh_installtex.
  * only call mktexlsr for tl/texmf-dist tree, the tl/texmf tree is gone
  * bump standards to 3.9.5, no changes necessary

 -- Norbert Preining <preining@debian.org>  Thu, 22 May 2014 10:53:13 +0900

tex-common (4.04) unstable; urgency=low

  * remove thailatex's patched version of babel.sty (Closes: #712297)
  * break against thailatex versions older than 2013 to make sure that
    no patching of babel.sty occurs.
  * bump standards version to 3.9.4, no changes necessary

 -- Norbert Preining <preining@debian.org>  Sat, 15 Jun 2013 17:00:51 +0900

tex-common (4.03) unstable; urgency=low

  * update-fmtlang: make sure we find the head files in both the old
    (<= TL2012, ie texlive/texmf/) and new (>= TL2013, ie texlive/texmf-dist)

 -- Norbert Preining <preining@debian.org>  Sun, 12 May 2013 19:09:17 +0900

tex-common (4.02) unstable; urgency=low

  * dh_installtex: properly deal with already existing format links
    (error out if present and not agreeing)

 -- Norbert Preining <preining@debian.org>  Tue, 07 May 2013 11:21:54 +0900

tex-common (4.01) experimental; urgency=low

  * dh_installtex: if the dir /usr/share/texmf/doc is found in the
    a package, then the generated tex-common dependency is >= 4

 -- Norbert Preining <preining@debian.org>  Wed, 19 Dec 2012 13:10:52 +0900

tex-common (4.00) experimental; urgency=low

  * drop the link from /u/s/texmf/doc -> /u/s/doc/texmf
    here was never a need for having /usr/share/doc/texmf at all
  * break with all packages having installed files into
    /usr/share/texmf/doc
  * remove stale code that deals with upgrades from versions < 3
  * adapt documentation a bit to reality

 -- Norbert Preining <preining@debian.org>  Mon, 17 Dec 2012 22:42:13 +0900

tex-common (3.15) unstable; urgency=high

  * break against old latex-cjk-chinese shipping not working hyphenation
    definitons (Closes: #697669)

 -- Norbert Preining <preining@debian.org>  Thu, 10 Jan 2013 07:45:09 +0900

tex-common (3.14) unstable; urgency=low

  * breaks texlive-lang-arab to ensure its removal during upgrades from
    lenny -> squeeze -> wheezy (Closes: #694258) (thanks Andreas Beckmann)

 -- Norbert Preining <preining@debian.org>  Sun, 25 Nov 2012 11:16:02 +0900

tex-common (3.13) unstable; urgency=high

  * rebuild all updmap.cfg files regardless of presence of snippets
    this is necessary to make sure that after the last package in
    TEXFMDEBIAN has disappeared, the updmap.cfg file is empty
    (Closes: #677698) (urgency high, as this is actually a critical
    bug since users cannot easily fix the updmap.cfg file without
    manual intervention)

 -- Norbert Preining <preining@debian.org>  Mon, 18 Jun 2012 10:19:41 +0900

tex-common (3.12) unstable; urgency=low

  * mention NEWS.Debian in the update-updmap warning
  * break against old luatex, it cannot find the necessary files
    (Closes: #613013, #676716)

 -- Norbert Preining <preining@debian.org>  Sat, 09 Jun 2012 11:40:37 +0900

tex-common (3.11) unstable; urgency=low

  * don't break if texmf.cnf is already removed (Closes: #671610, #672269)
  * ship a html redirect file as README.Debian.html instead of a link
    so that hrefs work (Closes: #657677)
  * remove references to teTeX in all relevant places (Closes: #511710)

 -- Norbert Preining <preining@debian.org>  Thu, 10 May 2012 07:11:07 +0900

tex-common (3.10) unstable; urgency=low

  * fix IFS error that prevents newer hyph-utf8 to get configured

 -- Norbert Preining <preining@debian.org>  Mon, 23 Apr 2012 23:03:22 +0900

tex-common (3.9) unstable; urgency=low

  * break against old version of jadetex that contains wrong and outdated
    format definitions (Closes: #668762)

 -- Norbert Preining <preining@debian.org>  Mon, 23 Apr 2012 12:00:23 +0900

tex-common (3.8) unstable; urgency=low

  * update NEWS to include a paragraph for users
  * add a warning if one of the update-* fails due to missing checkfile,
    that the package has to be reinstalled with --force-confmiss
  * add lost definitions of TEXMFTREES, FULLTEXMFTREES, TEXMFSYSVAR
    to postinst, which made run mktexlsr *always* in unprotected mode
    (Closes: #668661)

 -- Norbert Preining <preining@debian.org>  Sat, 14 Apr 2012 08:41:08 +0900

tex-common (3.7) unstable; urgency=low

  * do not create /etc/texmf/language.d, and try to remove it in postinst
  * update-updmap now includes snippets from /etc/texmf/updmap.d
    which might be installed by Debian-external packages, but gives
    big warnings
  * dh_installtex: fix an error in the logic when to add a (magic)
    header to the snippets, which resulted in all the updmap snippets
    still containing the magic header (no harm done, though!)

 -- Norbert Preining <preining@debian.org>  Wed, 11 Apr 2012 08:46:18 +0900

tex-common (3.6) unstable; urgency=low

  * update-texmf: sort list of files to be included (Closes: #665767)
  * set VARTEXFONTS to /tmp/texfonts again, otherwise buildd break
    (Closes: #666637, #666613)

 -- Norbert Preining <preining@debian.org>  Mon, 02 Apr 2012 09:25:33 +0900

tex-common (3.5) unstable; urgency=low

  * fix bashism in update-texmf (Closes: #665438, #665457)
  * rebuild the pdfs, so that at package build time no tex system
    is necessary (Closes: #665633)

 -- Norbert Preining <preining@debian.org>  Sun, 25 Mar 2012 09:43:32 +0900

tex-common (3.4) unstable; urgency=low

  * implement support for generation of language.dat.lua for luatex
    based formats:
    - extended update-fmtlang
    - change and extended the format of files in hyphen.d (needs rebuild
      of all providing packages!)
    - adapt dh_installtex for new format
  * start fixing the TeX-Debian-Policy document
  * do not add a universal fail clause in the debhelper generated
    maintainer scripts parts if the script is called with an
    unknown argument (scripts/post{inst,rm}-tex)
  * lintian warning: add addition makefile targets
  * doc: first run on updated documentation

 -- Norbert Preining <preining@debian.org>  Thu, 22 Mar 2012 18:08:18 +0900

tex-common (3.3) experimental; urgency=low

  [ Norbert Preining ]
  * remove tpm2licenses, Tpm.pm, FileUtils.pm, this script is hopelessly
    useless now that we don't have tpm files.
  * fix report-bug script configuration

  [ Hilmar Preuße ]
  * add new Polish debconf translation (Closes: #662094)

 -- Norbert Preining <preining@debian.org>  Wed, 14 Mar 2012 16:55:00 +0900

tex-common (3.2) experimental; urgency=low

  * clean up 3.1 changelog entry
  * don't run upgrade code on new install
  * don't create and remove texmf.cnf if no texmf.d conffiles are present

 -- Norbert Preining <preining@debian.org>  Sat, 10 Mar 2012 10:49:30 +0900

tex-common (3.1) experimental; urgency=low

  * only try to remove /etc/texmf/web2c if it is still here (Closes: #663029)
  * add missing break against tex-gyre <= 2.004.1-2.1 (Closes: #663173)
  * remove old ucf managed files with ucf instead of dpkg-maintscript-helper
    (Closes: #663092)
  * clean upgrade from tex-common < 3, move settings in 00updmap.cfg over
    to /etc/texmf/web2c/updmap.cfg

 -- Norbert Preining <preining@debian.org>  Sat, 10 Mar 2012 08:48:22 +0900

tex-common (3.0) experimental; urgency=low

  * remove all texmf.d conf files
  * remove /var/lib/texmf/web2c/updmap.cfg in the postinst, it is disturbing!
  * properly treat KanjiMap entries in dh_installtex
  * postinst-tex: don't break if a fmt.d snipped has been removed
  * bump up to 3.0, updmap.cfg is now managed differently with multi
    enabled updmap, so all the local adaptions are not necessary anymore
  * add calls to mtxrun --generate to the mktexlsr trigger action
    in case context is installed
  * add new Dutch translation (Closes: #652627)
  * bump standards version, no changes necessary
  * add Breaks against old versions of all packages shipping files in updmap.d

 -- Norbert Preining <preining@debian.org>  Tue, 06 Mar 2012 20:06:47 +0900

tex-common (2.10) unstable; urgency=low

  [ Norbert Preining ]
  * generated postrm code does not remove metapost format since the engine
    was not rewritten, fix that with a special case in dh_installtex
    (needs rebuild of texlive-metapost, context) (Closes: #619358)
  * bump standards version to 3.9.2, no changes needed

  [ Frank Küster ]
  * double-escape backslash in a printf string, thanks to Steve Langasek
    <vorlon@debian.org> (closes: #622938)

 -- Norbert Preining <preining@debian.org>  Sun, 26 Jun 2011 09:00:08 +0900

tex-common (2.09) unstable; urgency=high

  * fix creation of ls-R files in /usr/local/share/texmf by updmap-sys
    which is called in the trigger section of tex-common's postinst.
    This fixes a policy violation. (Closes: #607857)
  * update Danish translation (Closes: #608423)
  * disable shell escape completely (fix for CVE-2011-1400, DSA-2198-1)
  * bump standards version to 3.9.1, no changes necessary

 -- Norbert Preining <preining@debian.org>  Wed, 23 Mar 2011 09:42:02 +0900

tex-common (2.08) unstable; urgency=low

  * include again 80DVIPDFMx.cnf and replace dvipdfmx (if it is still there)
    to make it search for cmaps (Closes: #572921)
    (patch by YOSHINO Yoshihito)
  * put TeX-on-Debian into doc-base section Typesetting (Closes: #536343)

 -- Norbert Preining <preining@debian.org>  Wed, 09 Jun 2010 01:32:21 +0900

tex-common (2.07) unstable; urgency=high

  * reword the language.{dat,def} trigger action's message to include
    the name of the base format (Closes: #566915)
  * convert some files to UTF8
  * work around an under-specification of dpkg-query that makes the calls
    to it in the configure script break configuration, and thus creates
    FTBFS of unrelated packages (Closes: #571334)
  * bump standards version to 3.8.4, no changes necessary

 -- Norbert Preining <preining@debian.org>  Sun, 28 Feb 2010 13:13:35 +0900

tex-common (2.06) unstable; urgency=high

  * call mktexlsr with list of trees in lsr trigger action (Closes: #564457)

 -- Norbert Preining <preining@debian.org>  Tue, 12 Jan 2010 20:32:14 +0900

tex-common (2.05) unstable; urgency=low

  * update language.def based formats in the texmf-hyphen trigger option,
    otherwise updating hyphenation patterns does not have any effect on
    those formats (Closes: #562918)

 -- Norbert Preining <preining@debian.org>  Tue, 29 Dec 2009 17:48:08 +0900

tex-common (2.04) unstable; urgency=low

  * fix bug in dh_installtex that added a rogue newline in hyphenation
    definitions, thanks Danai (Closes: #562783)

 -- Norbert Preining <preining@debian.org>  Mon, 28 Dec 2009 07:05:31 +0900

tex-common (2.03) unstable; urgency=low

  * only call fmtutil-sys in postinst if texlive-base is configured
    (Closes: #560854)

 -- Norbert Preining <preining@debian.org>  Sun, 13 Dec 2009 07:50:25 +0900

tex-common (2.02) unstable; urgency=low

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Wed, 09 Dec 2009 23:44:02 +0900

tex-common (2.01) experimental; urgency=low

  * Remove setting of MPXCOMMAND. MetaPost in TeXLive 2009 no longer needs
    it, and is broken when it is set. [fk]
  * postinst trigger action: run updmap sys action only if texlive-base
    installed since otherwise updmap-sys will break
  * bump standards version to 3.8.3
  * bump depends to << 2009 (there was no 2008 anyway)

 -- Norbert Preining <preining@debian.org>  Thu, 03 Dec 2009 22:32:27 +0900

tex-common (2.00) experimental; urgency=low

  * new experimental branch for changes necessary to support TeX Live 2008
    and later that introduced hyphenation pattern support for etex based
    formats. language.def is now managed like language.dat.
    - add support for generating language.def to update-fontlang
    - install those scripts as update-language-def and update-language-dat
    - make update-language work as calling both of the above
    - adjust dh_installtex to accept new syntax
  * Make the wording of the warning message in postrm-texlsr broader,
    since there are a couple of reasons why this can fail
  * postrm's generated by dh_installtex now no longer assume that
    tex-common is installed when the package is removed. After a rebuild
    of texlive, this will fix #531581.
  * Update some texmf.cnf settings for TeXLive 2009. Before uploading to
    unstable, this needs a closer inspection (in particular, comment
    changes possibly cluttering diffs.
  * Add a Conflicts on old texlive-common, in order to force an upgrade of
    all the packages in one bunch.
  * implement trigger support for mktexlsr

 -- Frank Küster <frank@debian.org>  Thu, 15 Oct 2009 10:22:22 +0200

tex-common (1.20) unstable; urgency=low

  * after the change to tex-common's postinst script the ls-R file for
    /var/lib/texmf was not recreated, which breaks installation.
    Add this tree to the trigger call to mktexlsr (Closes: #532525)

 -- Norbert Preining <preining@debian.org>  Tue, 09 Jun 2009 22:37:03 +0200

tex-common (1.19) unstable; urgency=low

  [ Norbert Preining ]
  * change dh_installtex generated postrm code to call update-texmf-config
    only if it is present. That should be due to the policy, but it still
    might happen that tex-common is not installed bug another package
    depending on it is tried to be removed (see bug #531581).
    (Closes: #530832)
  * Remove the code in postrm that removes /usr/local/share/texmf/ls-R,
    we are not allowed to do that (policy), but we try to remove that
    directory if it is empty. (Closes: #528021)

  [ Frank Küster ]
  * Make sure that tex-common's own postinst script does not create
    /usr/local/share/texmf/ls-R (closes: #528021)

 -- Frank Küster <frank@debian.org>  Sun, 07 Jun 2009 21:53:07 +0200

tex-common (1.18) unstable; urgency=low

  * make sure that fmtutil-sys --all and updmap-sys are called on new
    installations when tex-common is configured, since new installations
    do not trigger. This bug fixes via rebuild of texlive-base #520042,
    #520410, and via rebuild of #520449.
  * bump the dh_installtex induced dependency on tex-common to 1.18
  * rework trigger support so that new file triggers are used, but
    the code in the maintainer scripts generated by dh_installtex
    for updmap and language calls the new script update-texmf-config
    which simply calls the respective trigger. In the course of the
    the options map:notriggers and language:notriggers were removed
    from the possible options of dh_installtex.

 -- Norbert Preining <preining@debian.org>  Mon, 13 Apr 2009 22:33:23 +0200

tex-common (1.17) unstable; urgency=low

  * remove developer only information from debian/NEWS (Closes: #519964)
    and include the information in the changelog entry for 1.15.
  * using dh_installtex --flavor formats:build_all breaks because we
    removed the calls to update-fmtutil etc. Readd all those calls
    (Closes: #520166)
  * bump standards version to 3.8.1, no changes needed

 -- Norbert Preining <preining@debian.org>  Tue, 17 Mar 2009 21:57:47 +0100

tex-common (1.16) unstable; urgency=low

  * add mktexlsr calling code from postinst-tex to the trigger action in
    case it has never been run before. That allows fresh installations
    to succeed. (Closes: #519701) [np]

 -- Norbert Preining <preining@debian.org>  Sat, 14 Mar 2009 16:57:24 +0100

tex-common (1.15) unstable; urgency=low

  [ Norbert Preining ]
  * upload of trigger-enabled tex-common to unstable, packages should be
    rebuild. Triggers are supported for files dropped into /etc/texmf/updmap.d
    and /etc/texmf/language.d, i.e., for calls to updmap-sys
    and fmtutil-sys (when hyphenation patterns are used). If packages
    need to install fonts/hyphenation patterns and need them active
    in the postinst already, it should call dh_installtex with
      --flavor=map:notriggers
    or
      --flavor=language:notriggers
    Until all packages have been rebuilt with the new dh_installtex
    updmap-sys and fmtutil-sys will be called two times.
  * remove references to teTeX from the man pages (Closes: #486369)
  * bump dh compat level to 5, adjust debian/control
  * add ${misc:Depends} to dependencies

  [ Jan Hauke Rahm ]
  * make debhelper's '--with' option available for tex-common. dh_installtex
    can now be integrated in debian/rules via 'dh install --with tex' when
    using compat 7

 -- Norbert Preining <preining@debian.org>  Tue, 10 Mar 2009 18:36:33 +0100

tex-common (1.14) experimental; urgency=low

  * fix coding error in dh_installtex's pod documentation [np]
  * updated Romanian translation (ro.po) (Closes: #506038)
    [hilmar-guest]
  * add a fix for dh_installtex to work with debhelper >= 7.1.0 (experimental)
    (Closes: #507365) (patch from Roderich Schupp) [np]

 -- Norbert Preining <preining@debian.org>  Mon, 01 Dec 2008 17:31:26 +0100

tex-common (1.13) experimental; urgency=low

  * bump standards version to 3.8.0, no changes necessary [np]
  * use the local keyword in policy compliant way [np]
  * replace emacs with share/texmf in postinst.in [np]
  * add updated version of sv.po (Closes: #491426) [hilmar-guest]
  * Fix dh_installtex compatibility with debhelper version >= 6
    (Closes: #492604) [np]

 -- Norbert Preining <preining@debian.org>  Sat, 02 Aug 2008 13:04:18 +0200

tex-common (1.12) experimental; urgency=low

  * bump version of tex-common packages built with dh_installtex to 1.11
    otherwise the conflict with tetex-base is not included properly. This really
    would close #467330, but due to the disappearance of  1.10 the last
    version is also sufficient [np]
  * Create empty /usr/local/share/texmf in postinst, remove in prerm if
    empty, with code taken from the Policy manual. The decision whether
    local documentation should be in the texmf tree or in
    /usr/local/share/doc and accessed via a symlink is left to the local
    admin (closes: 475077) [fk]
  * Removed the tetex-bin-upgrade script from the source, it is not needed
    nor installed, anyway [fk]
  * register TeX on Debian and the Policy in section Debian [hp, np]
  * remove double definition of OPENTYPEFONTS in texmf.d [np]
  * fix wrong file link in Debian-TeX-Policy.sgml (Closes: #481038)
  * Again install the README file for tpm2licenses in
    /usr/share/tex-common/ [fk]
  * implement support for triggers for /etc/texmf/updmap.d and
    /etc/texmf/language.d [np]

 -- Norbert Preining <preining@debian.org>  Mon, 02 Jun 2008 16:41:31 +0200

tex-common (1.11) unstable; urgency=medium

  * bump version of tex-common packages built with dh_installtex to 1.10
    since it is the version that removes the tetex part (see #466036) [np]
  * And Conflict with tetex-base (<< 2007), in order to force a /complete/
    transition to texlive in lenny (closes: #467330). At the same time,
    drop the conflict with tetex-bin, since tetex-base already does
    that. However, when and if we remove the tetex-base package, we need
    to find a different solution for this [fk]
  * These two changes fix RC bugs, hence the urgency [fk]
  * Another update run for debconf translations [hilmar-guest]
    - Vietnamese (Closes: #453780)
  * change the definition of TEXFORMATS to prohibit the finding of wrong
    formats (and be in sync with upstream TeX Live), and remove the trailing
    // of MFBASES and MPMEMS. [np]
  * update po files [np]
  * bump standards version to 3.7.3, no changes necessary [np]
  * move the build stuff to binary-indep, the package is arch=all [np]

 -- Frank Küster <frank@debian.org>  Wed, 16 Apr 2008 21:54:38 +0200

tex-common (1.10) unstable; urgency=low

  * update-fontlang:
       - properly handle file paths containing spaces;
       - when the jadetex or xmltex snippet is not included, write an
         explanation to fmtutil.cnf;
       - only trigger special behavior on 40jadetex.cnf, not on
         *40jadetex.cnf; same thing with 40xmltex.cnf and
         10texlive-latex-base.cnf;
       - use 0 and 1 instead of "false" and "true" for $seen_latex in order
         to be consistent with the rest of the script.
    [florent]

  * add warning to the pod documentation / man page of dh_installtex that
    it will add management calls to *all* packages if not instructed
    otherwise (Closes: #400742) [np]

  * remove duplicate TEXDOC configuration in 45TeXinputs.cnf which gave
    .html a higher priority then pdf.gz. Thanks Jörg. (Closes: #431610) [np]

  * Remove some outdated stuff in TeX-on-Debian [np]

  * remove the tetex part in TEXMFDIST, remove TETEXDIR from TEXMFCNF [np]

  * add Vcs-Svn and Vcs-Browser fields to debian/control [np]

  * update debconf template and package descriptions in control file
    (Closes: #447689) [hilmar-guest]

  * l10n updates + additions [hilmar-guest]
    - Basque (Closes: #448485)
    - Catalan
    - Czech (Closes: #449263)
    - Danish
    - Dutch
    - Finnish (Closes: 448291)
    - French (Closes: #450704)
    - Galician (Closes: #448232)
    - German (Closes: #448245)
    - Italian (Closes: #448367)
    - Japanese (Closes: #448680)
    - Korean (Closes: #448436)
    - Lithuanian (Closes: #448705)
    - Norwegian Bokmål (Closes: #450911)
    - Portuguese (Closes: #449234)
    - Portuguese/Brazil
    - Russian (Closes: #450726)
    - Romanian
    - Spanish (Closes: #448541)
    - Swedish
    - Turkish
    - Vietnamese

 -- Norbert Preining <preining@debian.org>  Wed, 21 Nov 2007 09:26:01 +0100

tex-common (1.9) unstable; urgency=low

  * Make sure that update-fontlang detects TEXMFVAR properly even if the
    directory does not yet exist (closes: #428448) [fk].
  * let update-fontlang and debianize-updmap create TEXMFCONFIG if  it
    doesn't exist yet (at least when there's only one directory in that
    variable) [fk].

 -- Frank Küster <frank@debian.org>  Tue, 19 Jun 2007 11:32:09 +0200

tex-common (1.8) unstable; urgency=medium

  * Bump urgency since this fixes a RC bug which hits anyone upgrading
    from lenny to sid and triggers a forkbomb.  Urgency only medium
    because of the long list of unrelated other changes. [fk]
  * Add a workaround for the fork bomb problem in format generation:
    Ignore jadetex and xmltex if latex is not present (closes: #427562) [fk]
  * make proper ucfr checking in maintainer scripts (Closes: #409897) [np]
  * rework the code generated by dh_installtex in the postinst script.
    Now at postinst/configure time fmtutil-sys is called with
      --all --cnffile <file>
    where <file> are the fmt.d config files installed by the package. This
    way a dpkg-reconfigure will create *all* formats defined in the config
    file, even if the sysadm has defined additional formats.
    (Closes: #418983) [np]
  * Update snippets in texmf.d according to a reordering patch accepted
    upstream [fk]
  * (first) rework of Debian-on-TeX document for TeX Live only [np]
  * add a list of old files from teTeX which can be removed
  * Do not install unused 01tetex.cnf and its md5sum file [fk]
  * dh_installtex: rewrite $engine to metafont if $engine = mf|mf-nowin
  * Install a copy of mktex.cnf in /usr/share/tex-common, and advice in
    NEWS.Debian to reinstall it. [fk]
  * Debconf translations: Added Vietnamese translation, thanks to Clytie
    Siddall <clytie@riverland.net.au> (closes: #426881)
  * implement an opion --nosourcefiles for tpm2licenses to not check
    source files
  * Add symlinks "README.Debian.$ext" to the respective "TeX-on-Debian"
    formats. [fk]

 -- Frank Küster <frank@debian.org>  Mon, 11 Jun 2007 10:14:14 +0200

tex-common (1.7) unstable; urgency=low

  * Undo the changes of the autoscripts snippets ordering, debhelper has
    changed back to the former method.

 -- Norbert Preining <preining@debian.org>  Sat, 14 Apr 2007 08:39:46 +0200

tex-common (1.6) unstable; urgency=low

  * Document in NEWS.Debian that support for ls-R in TEXMFHOME has been
    dropped [fk]

  * Policy: Add a chapter on meta-packages and document that they are
    usually not acceptable as dependencies

  * reverse the order of autoscripts snippets in postrm (Closes: #418984)

  * change alternative dep on cdebconf to (>= 0.39), lintian error.

 -- Norbert Preining <preining@debian.org>  Fri, 13 Apr 2007 09:34:44 +0200

tex-common (1.5) unstable; urgency=low

  * fix missing tetex component of TEXMFDIST (Closes: #418674)

 -- Norbert Preining <preining@debian.org>  Wed, 11 Apr 2007 09:45:29 +0200

tex-common (1.4) unstable; urgency=low

  * Change main_memory to 1500000 to go with the main_memory of mpost
    and TeX Live's texmf.cnf. This change is needed to make mpost work
    under all circumstances [np].
  * Update settings and comments in the texmf.cnf snippets to match
    upstream's as close as possible [fk]
  * Drop backwards compatibility hacks for paths (see NEWS.Debian) [fk]
  * Enable parse-first-line feature, except for Knuth's "tex". [fk]
  * Update Tpm.pm and FileUtils.pm from TeXLive 2007 [fk]

 -- Norbert Preining <preining@debian.org>  Tue, 10 Apr 2007 17:52:56 +0200

tex-common (1.3) experimental; urgency=low

  * Fix typography in Debian-on-TeX, thanks to Miguel de Val Borro
    <miguel.deval@gmail.com> (closes: #413449) [frank]

  * In the source package, replace 'tex-sed' with a Python script named
    'texify-tex-output' to do a better job (handling all known cases so
    far, some of which seemed rather difficult to implement in sed).

    We don't need to Build-Depend on Python, because this script is only
    used when we generate PDF output from the DebianDoc documents
    (Debian-TeX-Policy, TeX-on-Debian), which we don't do at build time
    in order to avoid chicken-and-egg problems. [florent]

  * Add engine subdirectories to the search paths for MetaFont and
    MetaPost, too.  Thanks to Jörg Sommer <joerg@alea.gnuu.de>

  * Change the dh_installtex removal logic since format dumps are placed
    into engine subdirectories. We now remove all format dumps and log files
    in /v/l/t/web2c and /v/l/t/web2c/$engine/

 -- Norbert Preining <preining@debian.org>  Thu, 22 Mar 2007 01:28:27 +0100

tex-common (1.2) experimental; urgency=low

  * rename flavor format:no_format_links to format:no_links (nobody is using
    it already), and document it [NP]
  * increase trie_size to 400000 to allow the loading of all texlive
    hyphenation patterns [NP]
  * Make sure that dh_installtex's postrm snippets won't try to run
    fmtutil-sys when it might be already uninstalled.

 -- Frank Küster <frank@debian.org>  Fri,  9 Mar 2007 16:12:17 +0100

tex-common (1.1) experimental; urgency=low

  * Upload to experimental.  This version is needed to build TeXLive
    2007.
  * Increase trie_size to the value in TeXLive 2007, and update the
    comment from their texmf.in file, too.
  * Only strip comments with '^[ \t]*# ' from the auto files to preserve
    comments starting with ## [NP]
  * small fix to dh_installtex for useless inclusion of postinst-tex
    (move the definition of $dothefullstuff into the package loop)
  * implement flavors format:build_all and format:add_one:formatname
  * let dh_installtex automatically create links for formats installed
    and add flavor to disable this behaviour.
  * fix a bug in dh_installtex which prohibits --priority to work
    correctly for command line config files. [NP]
  * add Norbert Preining <preining@debian.org> to the uploaders
  * add lintian overrides for wrongly detected bashism

 -- Norbert Preining <preining@debian.org>  Mon, 26 Feb 2007 18:31:32 +0100

tex-common (1.0) unstable; urgency=low

  * Release as version 1.0, tex-common has been stable for months and
    deserves a non-zero version number
  * Debconf translations: [frank]
    - New Romanian translation, thanks to Eddy Petrișor
      <eddy.petrisor@gmail.com> (closes: #409267)
    - New Portuguese Brazilian translation, thanks to the Traduz
      MailingList <traduz@debianpt.org> (closes: #408866)
    - Updated Catalan translation, thanks to Guillem Jover
      <guillem@debian.org> (closes: #409162)

 -- Frank Küster <frank@debian.org>  Mon,  5 Feb 2007 10:55:26 +0100

tex-common (0.44) unstable; urgency=low

  * Use full pathname when registering files with ucf (closes: #408263)
  * New and updated debconf translations:
    - Galician by Jacobo Tarrio <jtarrio@trasno.net> (closes: #408122)

 -- Frank Küster <frank@debian.org>  Fri, 26 Jan 2007 18:10:23 +0100

tex-common (0.43) unstable; urgency=low

  * Register documentation in section TeX instead of Text (closes:
    #403086) [frank]
  * Debconf translations:
    - add Russian translation, thanks to Yuri Kozlov <kozlov.y@gmail.com>
      (closes: #406872)

 -- Frank Küster <frank@debian.org>  Mon, 15 Jan 2007 07:51:34 +0100

tex-common (0.42) unstable; urgency=low

  * Documentation fixes to update-fontlang.1:
      - the .TH line was broken, causing an ugly footer in the formatted
        manpage;
      - the SYNOPSIS had an incorrect syntax ('-language', '-updmap', and
        '-fmtutil' aren't optional) and the new way is much easier to read
        anyway IMO;
      - always mention the programs in that order: update-updmap,
        update-language and update-fmtutil (reason is, I think the average
        user is more likely to need update-updmap than any of the two
        others);
      - the arguments to some options were forgotten, as in the
        update-fontlang usage message ('--help');
      - better option formatting (for those with a short and a long form;
         copied from /usr/share/man/man1/man.1.gz);
      - the default values for TEXMFCONFIG and TEXMFVAR do *not* end with
        a slash;
      - the path to TeX-on-Debian.txt.gz was wrong;
      - s/updmap.sys/updmap.cfg/;
      - s/TEMXF/TEXMF/ in a few places;
      - a package may install *several* files in each /etc/texmf/*.d
        directory (and list them in the .list files under
        /var/lib/tex-common).
      - a bit more details here and there;
      - more formatting to ease reading (such as italics), punctuation,
        typographical fixes. [florent]

  * Fix to update-fontlang: don't forget the arguments to '-c' and '-o' in
    the usage message ('--help'). [florent]

  * Minor fixes to postrm-texlsr to avoid having too long lines (greater
    than 80 characters). [florent]

  * remove the left-over definition of dhit_check_run_without_errors in
    postrm-tex, it is included in postrm-texlsr (Closes: #402068). [NP]

 -- Frank Küster <frank@debian.org>  Mon, 11 Dec 2006 19:46:08 +0100

tex-common (0.41) unstable; urgency=low

  * Install the TDS specification along with the Debian TeX Policy
    (closes: #401196) [frank]
  * Register ucf files with ucfr (closes: #395018) [frank]
  * Refined wording and typography of the documentation documents

 -- Frank Küster <frank@debian.org>  Wed,  6 Dec 2006 19:03:21 +0100

tex-common (0.40) unstable; urgency=low

  * Register TeX-on-Debian and the policy with doc-base
  * Change the wording of Policy to indicate more clearly that everything
    can (and should) be done using dh_installtex.

 -- Frank Küster <frank@debian.org>  Wed,  6 Dec 2006 11:08:26 +0100

tex-common (0.39) unstable; urgency=low

  * changelog editing: fix wrong bugnumber in last upload [frank]
  * Add a more verbose explanation to the warning when updmap-sys failed
    (closes: #397717), and echo errors to stderr. [frank]
  * Change default priority for dh_installtex to 20, and document in the
    TeX Policy that 10 is reserved for Basic TeX packages.  This would
    have avoided bug #399447. [frank]

 -- Frank Küster <frank@debian.org>  Tue, 21 Nov 2006 18:32:32 +0100

tex-common (0.38) unstable; urgency=low

  * install update-fontlang and the three links all into /usr/bin
    and keep symlinks in /usr/sbin for old packages. Update the man page
    of update-fontlang. (Closes: #396822) [preining]
  * Clear up the description about user-specific configuration in
    TeX-on-Debian, many thanks to Géraud Meyer <geraud_meyer@hotmail.com>
    (closes: #396826) [preining,frank]
  * Debconf translation updates: [frank]
    - French, thanks to Christian Perrier (closes: #395844)
    - Italian, thanks to Luca Monducci <luca.mo@tiscali.it> (closes:
      #396101)
    - German, thanks to Helge Kreutzmann <debian@helgefjell.de> (closes:
      #396036)
    - All others except the heavily outdated ca.po where unfuzzied by me,
      even in Japanese I can change "dpkg-dist" to "ucf-dist" [frank]

 -- Frank Küster <frank@debian.org>  Fri,  3 Nov 2006 14:14:12 +0100

tex-common (0.37) unstable; urgency=low

  * Fix bashism in postinst, thanks to Michael Biebl <biebl@teco.edu>
    (closes: #395274) [frank]

 -- Frank Küster <frank@debian.org>  Thu, 26 Oct 2006 08:14:29 +0200

tex-common (0.36) unstable; urgency=medium

  * Depend on debconf (>= 1.4.69), which introduced the error template
    type (closes: #395032).  This broke upgrades, hence the urgency
    [frank]
  * Fix format extraction regexp in dh_installtex, the format name must
    now be at the beginning of the line, without any leading whitespace,
    but hyphens are allowed in the name.  Thanks Ralf. [preining]
  * dh_installtex: Include only the minimal mktexlsr code in case no other
    installation is done (ie no maps, formats, languages).  Also add the
    ability to specify texmf trees on the command line, and only recreate
    the ls-R DB for /usr/share/texmf and /var/lib/texmf [preining]
    (Closes: #392359)
  * Add engine-specific paths to the TEXFORMATS and TEXFONTMAPS variables,
    and avoid triple slashes.  This is completely backwards-compatible (it
    only adds path components), and is needed for the planned separate
    context package.  Thanks to Ralf Stubner for the details!
    [preining,frank]

 -- Frank Küster <frank@debian.org>  Wed, 25 Oct 2006 13:16:13 +0200

tex-common (0.35) unstable; urgency=low

  * Use local variables in debianize-updmap, so that the right file for
    enabling font maps will be found (closes: #393920) [frank]

 -- Frank Küster <frank@debian.org>  Wed, 18 Oct 2006 17:58:09 +0200

tex-common (0.34) unstable; urgency=medium

  * Handle non-writable /usr/local gracefully upon removal, thanks to Sam
    Hocevar <sam@zoy.org> (closes: #392518) [frank]
  * Change debianize-updmap so that the --syncwithtrees and --edit options
    do something sensible, and won't break the system. Together with the
    upload of tetex-bin 3.0-22, this will close #392573 and #334747.
    [frank]
  * Add a check for shadowed config files to update-fontlang [preining]
  * Move and extend the teTeX README.Debian to TeX-on-Debian Documentation
    [frank, preining]
  * Move po-debconf from Build-Depends-Indep to Build-Depends, since it's
    used in the clean target of debian/rules. [florent]
  * Adjust the TEXMFCNF setting in conf/texmf.d/85Misc.cnf to reflect the
    change in tetex-bin 3.0-22. [frank, florent]

 -- Florent Rougon <frn@debian.org>  Sat, 14 Oct 2006 18:53:20 +0200

tex-common (0.33) unstable; urgency=medium

  * Fix syntax error in debianize-updmap (closes: #391976).  Also, the
    logic in the script has been fixed, so that it actually works [frank]
  * Add an additional check to update-* scripts in case users shadow their
    generated files with files in TEXMFCONFIG. [preining]

 -- Frank Küster <frank@debian.org>  Tue, 10 Oct 2006 10:21:19 +0200

tex-common (0.32) unstable; urgency=medium

  * adapted sanity check in update-fontlang to TEXMFSYSCONFIG = /etc/texmf
    (closes: #391348) [ralf]
  * Provide a tetex-bin-update script.  This allows also texlive to
    properly rename an old tetex-bin conffile, and add the magic comment,
    and is therefore needed for a transition from teTeX to TeXlive without
    upgrading teTeX to the etch version first [frank]
  * Install debianize-updmap into the scripts dir [frank]
  * Provide the debianize-updmap functions in /usr/share/tex-common, for
    usage by all TeX systems in Debian [frank]
  * Changed the order of trees in TEXMFDIST.  If TeXlive and teTeX
    packages are installed together, files from TeXlive now take
    precedence.  This makes sense because those files are usually
    newer. [frank]

 -- Frank Küster <frank@debian.org>  Mon,  9 Oct 2006 07:46:31 +0200

tex-common (0.31) unstable; urgency=medium

  * Document in policy that font cache data have to be cleaned by packages
    that Build-Depend on TeX, and how to do that (closes: #388399) [frank]
  * On systems upgraded from woody to sarge, tetex-bin generated a bogus
    local configuration file with entries that were erroneously detected
    as locally changed.  These entries are now harmful and break texlive,
    and the file is therefore renamed if it meets our expectations
    (closes: #391355) [frank]
  * In 95NonPath.cnf, add a comment about how to redump the format file
    (closes: #380323) [frank]

 -- Frank Küster <frank@debian.org>  Fri,  6 Oct 2006 17:40:19 +0200

tex-common (0.30) unstable; urgency=high

  * update-fontlang:  If a conffile has a corresponding dpkg-new file,
    that is, it is from a yet-unconfigured package, drop it any case.
    Previously, the check was only done when the file had a magic comment,
    but conffiles in sarge generally do not have this magic.  Therefore,
    upgrades from sarge would have failed if the conffile change is needed for
    proper configuration (closes: #389550) [frank]
  * Remove the medium-priority debconf note without replacement; anybody
    who really runs into the problem will be able to find the information
    in tetex-bin's README.Debian (closes: #388973) [frank]

 -- Frank Küster <frank@debian.org>  Tue, 26 Sep 2006 17:14:45 +0200

tex-common (0.29) unstable; urgency=medium

  * Add missing function and variable declarations to preinst, thanks to
    Hilmar (closes: #385532) [frank]
  * Do not load debconf manually in postrm, it isn't needed at all, thanks
    to Bill Allombert <ballombe@debian.org> (closes: #388156) [frank]

 -- Frank Küster <frank@debian.org>  Tue, 19 Sep 2006 09:17:13 +0200

tex-common (0.28) unstable; urgency=low

  * Fix spelling of "medium" in the last upload
  * Remove jadetex settings from texmf.d (closes: #384333) [frank]
  * Add a paragraph to the Policy how to handle format creation when
    latex.fmt or other basic formats are needed [frank]

 -- Frank Küster <frank@debian.org>  Wed, 23 Aug 2006 22:09:37 +0200

tex-common (0.27) unstable; urgency=medium

  * Policy Change:  Treat configuration files properly as Debian Policy
    mandates.  The only TeX-specific addition is that we remind
    maintainers to only treat files for site-wide changes as configuration
    files, not files intended to change the typeset output on a
    per-document or per-project basis.  Consequently, mktex.cnf is now
    installed as /etc/texmf/web2c/mktex.cnf.  Thanks to Manoj Srivastava!
    This closes: #379089, a RC bug, hence the medium urgency [frank]
  * Really install NEWS.Debian about the font cache changes in the last
    upload [frank]
  * Update changelog for 0.16. We forgot to close two bugs. [hilmar-guest]
  * Debconf Translations: [frank]
    - Update Dutch translation, thanks to Vincent Zweije
      <zweije@xs4all.nl> (closes: #379234)
    - Update Spanish translation, thanks to Javier Fernández-Sanguino Peña
      <jfs@computer.org> (closes: #382967)

 -- Frank Küster <frank@debian.org>  Wed, 16 Aug 2006 16:58:01 +0200

tex-common (0.26) unstable; urgency=low

  * Font data are now cached separately for each user, or in /tmp/texfonts
    when there is no writable home directory.  Thus we could get rid of
    the complicated debconf questions related to that issue (there's still
    one note left) (closes: #376050, #366805, #368411).  Many thanks to
    Ralf Stubner for his "braindump".

    This change requires installation of a file in a TEXMF tree; we
    therefore run mktexlsr if it is available. [frank]

  * Debconf Translations: [frank]
    - Updated Czech translation, thanks to Miroslav Kure
      <kurem@upcase.inf.upol.cz>
    - Updated Japanese translation, thank to Kenshi Muto
      <kmuto@debian.org> (closes: #376632, #377945)
    - Updated brazilian Portuguese translation, thanks to Felipe Augusto
      van de Wiel (faw) <felipe@cathedrallabs.org>
    - Updated Danish translation, thanks to Claus Hindsgaul
      <claus.hindsgaul@gmail.com> (closes: #377664)
    - Updated German translation, thanks to Helge Kreutzmann
      <debian@helgefjell.de>
    - Updated italian translation, thanks to Luca Monducci
      <luca.mo@tiscali.it> (closes: #377378).
    - Updated french translation, thanks to Jean-Baka Domelevo-Entfellner
      <domelevo@gmail.com> (closes: #377388)
    - Updated Swedish translation, thanks to Daniel Nylander
      <po@danielnylander.se>
    - Updated Lithuanian translation, thanks to Kęstutis Biliūnas
      <kebil@kaunas.init.lt>

  * common.functions.in: [florent]
      + change create_tetex_formats() so that fmtutil-sys is run in a
        temporary directory; otherwise, it may use files lying in the
        current directory, which can cause bad surprises. This will close
        #377581 when propagated to the various packages using this function
        in their maintainer scripts.
      + replace `command args ...` with $(command args ...) everywhere in
        the file.

  * Updated Maintainer field to use new mailing list [jdg]

 -- Frank Küster <frank@debian.org>  Wed, 19 Jul 2006 16:05:47 +0200

tex-common (0.25) unstable; urgency=low

  * Translations:
    - Fix typos in french debconf translation, thanks to Florentin Duneau
      <f.baced@wanadoo.fr> (closes: #374632) [frank]
    - Update brazilian Portuguese debconf translation, thanks to Andre
      Luis Lopes <andrelop@debian.org> and Felipe Augusto van de Wiel
      <felipe@cathedrallabs.org> [frank]

  * scripts/update-fontlang:
      - don't include ${conffile} in the generated file if
        ${conffile}.dpkg-new exists ($conffile may not be up-to-date in this
        case);
        see http://lists.debian.org/debian-tetex-maint/2006/06/msg00260.html
        for a discussion of this subject.
      - cosmetic fixes. [florent]

  * Update scripts/update-updmap.1 and doc/Debian-TeX-Policy.sgml
    accordingly. [florent]

 -- Florent Rougon <frn@debian.org>  Mon, 26 Jun 2006 10:37:04 +0200

tex-common (0.24) unstable; urgency=low

  * Updated debconf translations:
    - French, thanks to Steve <dlist@bluewin.ch> (closes: #369360) [frank]

  * dhit_check_run_without_errors() in postrm-tex was not completely silent
    even if called with -silent (outputing 3 ugly lines starting with a space
    followed by "done."). This is now fixed. [florent]

 -- Florent Rougon <frn@debian.org>  Sun, 18 Jun 2006 23:14:27 +0200

tex-common (0.23) unstable; urgency=low

  * After the groupname question has been renamed, make sure that the new
    questions are not shown again when the old one has already been seen,
    and unregister the old question (closes: #366812) [frank]
  * Fix bashism in config (closes: #366789) [frank]
  * Fix our check for a working configuration in texmf.d, and write short
    information messages to stderr for the noninteractive frontend or for
    people who don't have a pencil (closes: #366907), thanks Ralf [frank]
  * Make sure the font cache directory is always world-writeable - we
    previously missed the case where apt-utils are installed in a buildd
    chroot (again closes: #354113, #366858) [frank]
  * Updated debconf translations: [frank]
    - Czech by Miroslav Kure <kurem@upcase.inf.upol.cz> (closes: #367162)
    - Danish by Claus Hindsgaul <claus.hindsgaul@gmail.com> (closes:
      #367180)
    - Italian by Luca Monducci <luca.mo@tiscali.it> (closes: #367183)
  * Debian TeX Policy:
    Remove last occurrences of obsolete TEXMFSITE.

 -- Frank Küster <frank@debian.org>  Wed, 17 May 2006 18:56:32 +0200

tex-common (0.22) unstable; urgency=low

  * Also install FileUtils.pm which is needed by tpm2licenses [frank]
  * Make running of update-* commands silent in the debhelper postrm
    helper scripts (Closes: #365070) [preining]
  * Debconf translations:
    - updated wording of swedish template, thanks to Daniel Nylander
      <yeager@lidkoping.net> (closes: #365992) [frank]
  * Change the configuration scheme again a little: Before accepting a
    group name typed by the user, test whether it really exists.
    Furthermore, if there is only one user in the "normal user" range in
    /etc/passwd, suggest their group as the owner of the font cache.  And
    finally, make the wording clearer everywhere.  Many thanks to Anthony
    DeRobertis <anthony@derobert.net>, James R. Van Zandt"
    <jrvz@comcast.net> and Helge Hafting <helge.hafting@aitel.hist.no>
    (closes: #366107, #366095, #365513) [frank]
  * Fix lintian warnings and errors: [frank]
    - Move eperl to Build-Depends-Indep
    - Fix my name in update-language(8)
    - Add overrides for the font cache permissions and our debconf note if
      the postinst script fails.
  * Bump standards version (no changes needed) [frank]

 -- Frank Küster <frank@debian.org>  Wed, 10 May 2006 13:19:52 +0200

tex-common (0.21) unstable; urgency=low

  * Syntax error: postinst script silently failed when it should have
    displayed a debconf warning [frank]
  * Improve readability of eperl scripts in debian/ as in tetex-bin [jdg]
  * Adjust priority of the groupname debconf question to be the same as
    the managecache question (closes: #360127) [frank]
  * Fix eperl open commands in maintainer scripts to work with -k [jdg]
  * Made preinst a /bin/sh script [jdg]
  * Install the tpm2licenses Perl script and the Tpm.pm module into
    /usr/share/tex-common for more convenient use [frank].
  * Add to the source package a ChangeLog file to keep track of the
    copyright/licensing verification work I'm doing [frank]
  * Update debconf translations:
    - Danish by Claus Hindsgaul <claus.hindsgaul@gmail.com> (closes:
      #360035)
    - Czech by Miroslav Kure <kurem@upcase.inf.upol.cz> (closes: #360212)
    - Spanish by Javier Fernández-Sanguino Peña <jfs@computer.org>
    - Swedish by Daniel Nylander <po@danielnylander.se>
    - Turkish by Osman Yuksel <yuxel@sonsuzdongu.com>
    - Lithuanian by Kęstutis Biliūnas <kebil@kaunas.init.lt> (closes:
      #360282)
    - Italian by Luca Monducci <luca.mo@tiscali.it> (closes: #360645)
    - Japanese by Kenshi Muto <kmuto@topstudio.co.jp> (closes: #360679)
    - German by Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
    - French by steve <dlist@bluewin.ch> (closes: #362426)
    Many thanks to all contributors! [frank]

 -- Frank Küster <frank@debian.org>  Fri, 21 Apr 2006 09:49:06 +0200

tex-common (0.20) unstable; urgency=medium

  * This version fixes a RC bug (#357983) - the version in testing was not
    affected.  But taken together, 0.20 fixes lots of important and
    annoying bugs that also exist in testing that I'm increasing the
    urgency. [frank]
  * Change wording in debconf template and README.Debian to clearly
    indicate that per default users are not member of the "users" group,
    (closes: #356960, #357983) [frank]
  * Install reportbug control script to report with tetex and texlive
    packages [frank]
  * update-fontlang: Change the note that is displayed when the output
    file is a symlink to an error message (displayed also in quiet mode)
    (closes: #357289) [frank]
  * Fix typos in update-updmap.1 and update-language.8, thanks to Nicolas
    François (closes: #357763). [florent]
  * Translations:
    - Update french debconf translation, thanks to Steve
      <dlist@bluewin.ch> (does not closes bug #356840, since it is
      incomplete) [frank]

 -- Frank Küster <frank@debian.org>  Wed, 22 Mar 2006 12:29:54 +0100

tex-common (0.19) unstable; urgency=low

  * cater for groups without a name when setting the groupname debconf
    variable (Closes: #354401) [preining]
  * Use debconf for user interaction if the postinst script detects
    incompatible settings, thanks to John Goerzen <jgoerzen@complete.org>
    (closes: #353474) [frank]
  * add --check option to update-fontlang and to the man pages, but
    state that it should not be used in maintainer scripts
    (Closes: #354517) [preining]
  * Fix copying error in dh_installtex that created dvips config files
    with an additional comma [preining]
  * Translations:
    - Update Swedish debconf translation, thanks to Daniel Nylander
      <yeager@lidkoping.net> (closes: #354635) [frank]
    - Update Danish debconf translation, thanks to Claus Hindsgaul
      <claus.hindsgaul@gmail.com> [frank]
    - Update German debconf translation, thanks to Helge Kreutzmann
      <kreutzm@itp.uni-hannover.de> [frank]
    - Update Italian debconf translation, thanks to Luca Monducci
      <luca.mo@tiscali.it> (closes: #355033) [frank]
    - Update Turkish debconf translation, thanks to Osman Yüksel
      <yuxel@sonsuzdongu.com> (closes: #355061) [frank]
    - Update Japanese debconf translation, thanks to Kenshi Muto
      <kmuto@debian.org> (closes: #355141) [frank]
    - Update Czech debconf translation, thanks to Miroslav Kure
      <kurem@upcase.inf.upol.cz> [frank]
    - Update Lithuanian debconf translation, thanks to Kęstutis Biliūnas
      <kebil@kaunas.init.lt> (closes: #355453) [frank]
    - Update Spanish debconf translation, thanks to Javier
      Fernández-Sanguino Peña <jfs@computer.org> [frank]

 -- Frank Küster <frank@debian.org>  Sat, 11 Mar 2006 17:58:38 +0100

tex-common (0.18) unstable; urgency=low

  * Perform all config checks in the postinst script instead of exiting
    after the first failure
  * Call debconf-updatepo in the clean and build targets, thanks to Thomas
    Huriaux <thomas.huriaux@gmail.com> (closes: #354138) [frank]
  * Remove "set -x" from config.in, a leftover from debugging.  Sorry.
    (closes: #354181) [frank]
  * Add many more md5sums for obsolete conffiles.  And add a script in the
    source package to check whether we now catch all of them.  Many thanks
    to Andreas Tille! [frank]
  * Fix the missing dhit_ prefix to the build_format call in
    postinst-tex autoscript [preining]
  * Fix spelling error in template, thanks to Matt Krai (closes: #354318)
  * Replace wrong mode 3755 with 3775 in templates. [florent]
  * Add myself to the Uploaders field. [florent]
  * Remove duplicate Build-Depends-Indep on debiandoc-sgml. [florent]

 -- Florent Rougon <frn@debian.org>  Sat, 25 Feb 2006 12:58:27 +0100

tex-common (0.17) unstable; urgency=low

  * Restore the previous behavior by making the subdirectories of
    /var/cache/fonts world-writable by default.  Since this is unsafe,
    advice the user in the debconf template, and increase the question's
    priority to medium.  Thanks to Lars Wirzenius, closes: #354113.

    We do not fix existing systems, since this is mainly targeted at
    pbuilder environments and similar, where tex-common is only installed
    on demand.  [frank]

  * fix an error in dh_installtex when grepping for the magic header [ralf]
  * Add an md5sum for psfonts.ams, thanks to Andreas Tille [frank]

 -- Frank Küster <frank@debian.org>  Thu, 23 Feb 2006 17:36:04 +0100

tex-common (0.16) unstable; urgency=low

  * Add dh_installtex for public perusal. [preining]
    - add dh_installtex and man page
    - replace dh_installtexfonts by a script converting the syntax
    - give a warning in the dh_installtexfonts man page
  * common.functions.in:
    - Add md5sums for tetex-extra's former configuration files (closes:
      #351649, #352486) [frank]
    - Also add some forgotten md5sums for tetex-base, and make sure scripts
      really stop if the md5sum is unknown (closes: #352688) [frank]
    - remove LaTeX and pdfLaTeX format files before trying to recreate all
      format (closes: #352391, #346135, #352569) [frank]
    - use different variable names for /var/lib/texmf as a texmf.cnf
      variable and as a maintainer script variable [frank]
  * rework debconf usage (Closes: #352394) [preining,frank]
    - only care for ls-R file permissions of the font cache from now on
    - manage the group and permissions of /var/cache/fonts
  * TeX Policy Draft:
    - document dh_installtex and some additional checks needed in
      maintainer scripts [florent]
    - Clarify that some files from the Basic TeX Packages stay in
      TEXMFMAIN [frank]

 -- Frank Küster <frank@debian.org>  Wed, 22 Feb 2006 13:43:32 +0100

tex-common (0.15) unstable; urgency=high

  * Urgency high, because this version adds important checks that should
    be present when the teTeX packages enter testing
  * Add more checks for essential entries in texmf.cnf, and bail out with
    a user-friendly error message if they are missing (closes: #346326)
    [frank]
  * Fix functions in common.functions.in, so that old conffiles of teTeX
    are properly handled, thanks to Ralf Stubner
  * Drop unneeded paths from TEXFONTMAPS, we now have only 3.0's upstream
    value plus our backward-compatibility paths; also change the check in
    the postinst accordingly (although the old one would still work, we do
    not allow it for simplicity's sake). [frank]
  * Fix typo in dh_installtexfonts which would echo wrong file names, and
    add --quiet to the call of update-updmap in the debhelper scripts
    [preining]
  * Again fixed extensions of files to purge, and take over correct
    language.dat handling from tetex-base (see: #321804). [frank]
  * Move the handling of 00updmap.cfg from postinst to preinst, where it
    belongs [frank]
  * Fix typo in manpage for update-language, thanks to Nicolas François
    <nicolas.francois@centraliens.net> (closes: #349723) [frank]

 -- Frank Küster <frank@debian.org>  Thu, 26 Jan 2006 22:24:06 +0100

tex-common (0.14) unstable; urgency=low

  * Bump standards version to 3.6.2 (no changes needed)
  * Move debiandoc-sgml from Build-Dep to Build-Dep-Indep
  * Fix a couple of lintian errors and warnings
  * Fix dvips config syntax, thanks to Danai SAE-HAN [preining]
  * Rework the debhelper snippets post(inst|rm)-texfonts [preining]

 -- Norbert Preining <preining@logic.at>  Thu, 22 Dec 2005 16:38:54 +0100

tex-common (0.13) unstable; urgency=low

  * tex-common now provides the symlink /usr/share/texmf/doc -->
    ../doc/texmf, because tetex-doc now puts its files into TEXMFDIST
    [frank].
  * Do no longer install teTeX's common.* files and dsf-patch.mk, they are
    no longer used.
  * Implement --flavor for dh_installtexfonts, first flavors are only
    for generating config files for maps [preining].
  * Fix brace expansion in pdksh, patch from Robert Luberda
    (closes: #342781) [preining]
  * Add fonts/hbf to the search path for T1 fonts, this is needed by
    cjk-latex. [frank]
  * Translations:
    - Update Czech debconf translation, thanks to Miroslav Kure
      <kurem@upcase.inf.upol.cz> (closes: #341941) [frank]
    - Fix italian translation file, this really closes: #340031 [frank]

 -- Frank Küster <frank@debian.org>  Sun, 11 Dec 2005 14:53:05 +0100

tex-common (0.12) unstable; urgency=low

  * change ls_R_magic to include ., ./, and ls-R so that kpathsea does
    not moan about unusable entry. [preining]
  * Document TEXMFSYSCONFIG in the Policy Draft, and add some more
    clarifications to the text [frank]
  * change TEXMFDIST to include texmf-texlive and texmf-tetex [preining]
  * Translations:
    - Update French debconf translation, thanks to Clément Stenac
      <zorglub@via.ecp.fr> (closes: #341721) [frank]

 -- Frank Küster <frank@debian.org>  Fri,  2 Dec 2005 17:40:04 +0100

tex-common (0.11) unstable; urgency=low

  * Check for correct setting of TEXFONTMAPS after possible user
    interaction in postinst, and fail with a clear error message, instead
    waiting for teTeX's or TeXLive's updmap calls to fail (closes maybe:
    #338585) [frank]
  * Add a function clean_texenvironment to common.functions, to be used
    from TeX package's postinst scripts, and document that in the Policy
    document. [frank]
  * Add the md5sum of the postinst-edited 00updmap.cfg to ucf's database.
    Also fix the logic for taking over changed settings from tetex-base,
    and create 00updmap.cfg with proper permissions.  Special thanks to
    Junichi Uekawa <dancer@netfort.gr.jp> for insisting (closes: #335682,
    #338689) [frank]
  * The Policy draft has been extended [frank]
  * change TEXMFSYSCONFIG to /etc/texmf and remove the !! before TEXMFCONFIG
    in TEXMF [preining]
  * add TEXMFSYSCONFIG to TEXMF and and reshuffle the order [preining]
  * change TEXMFDBS [preining]
  * Translations:
    - add Swedish debconf translation, thanks to Daniel Nylander
      <yeager@lidkoping.net> (closes: #338866) [frank]
    - update Danish debconf translation, thanks to Claus Hindsgaul
      <claus_h@image.dk> (closes: #339354) [frank]
    - update Italian debconf translation, thanks to Luca Monducci
      <luca.mo@tiscali.it> (closes: #340031) [frank]

 -- Frank Küster <frank@debian.org>  Tue, 22 Nov 2005 20:15:41 +0100

tex-common (0.10) unstable; urgency=low

  * tex-common should only Suggest debhelper, not Depend on it. It would
    pull in too many dev packages for every normal user. [preining]
  * Fix the syntax of some eval statements in the config script (closes:
    #336951) [frank]
  * In postinst, create nonexistent ls-R files with proper magic content
    if they are not already present (closes: #337073) [frank]
  * The config script was not idempotent, and reset the debconf default
    for group writable ls-R files on a fresh install. [frank]
  * Remove the ls-R symlink in TEXMFLOCAL, thanks to Lars Wirzenius
    <liw@iki.fi> (closes: #333308). [frank]
  * Check for leftover .svn directories during build (closes: #327785)
    [frank]
  * Add the md5sum of a version with a newer comment to the list of known
    md5sums for 00updmap.cfg (closes: #336713) [frank]
  * fix installation of debhelper snippet postrm-texfonts. [preining]
  * actually allow multiple invocations of dh_installtexfonts and
    stop with error if a cfg file is installed several times. [preining]

 -- Frank Küster <frank@debian.org>  Wed,  9 Nov 2005 14:45:34 +0100

tex-common (0.9) unstable; urgency=low

  * Change ls-R file handling to be useful. Don't use debconf as
    registry. (Closes: #332264) [preining]
  * install debhelper dh_installtexfonts script (closes: #320147) [preining]
  * A few changes to update-fontlang, most notably that it will now check,
    when invoked as update-updmap, whether /usr/share/texmf/web2c/updmap.cfg
    exists and abort with an explanation in that case. [florent]
  * Translations:
    - updated Danish debconf translation, thanks to Claus Hindsgaul
      <claus_h@image.dk> (closes: #332699) [frank]
    - updated French debconf translation, thanks to Clément Stenac
      <zorglub@via.ecp.fr> (closes: #335776) [frank]
    - updated Italian debconf translation, thanks to Luca Monducci
      <luca.mo@tiscali.it> (closes: #336093) [frank]

 -- Frank Küster <frank@debian.org>  Fri, 28 Oct 2005 11:27:48 +0200

tex-common (0.8) unstable; urgency=low

  * Change hyph_size to 8191 - according to DEK it should be a prime
    number.  [frank]
  * Add a (closes:...) to the last version's changelog entry to make
    tracking history easier, in fact the bug has been closed manually
    [frank].
  * fix update-texmf to not go into an endless loop when called with an
    unknown option [frank]
  * Modify postrm.in script to remove TEXMFSYSVAR and /var/cache/fonts
    (thus also removing left over files at purge time) [preining]
  * manage ls-R files using debconf [preining].  The translations have
    been copied over from tetex-bin [frank]. (Closes: #328291)
  * Let the debconf dependency be created by debhelper, thus allowing
    debconf-2.0 as an alternative [frank] (closes: #332115)
  * In fact install the pdf version of the Policy draft, but include it in
    the tar.gz file.  Thus we can drop the Build-dependency on
    tetex-extra.  A working TeX system is only needed on the developer's
    system if the policy source has been changed.

 -- Frank Küster <frank@debian.org>  Wed,  5 Oct 2005 16:14:46 +0200

tex-common (0.7) unstable; urgency=low

  * take over installation of /var/cache/fonts/*, /usr/local/share/texmf
    and the ls-R links from tetex (and texlive). [preining]
  * increase lambdas main_memory to deal with a lot of languages [preining]
  * move old config files in /usr/share/texmf/web2c out of the way [preining]
  * remove old formats in /usr/share/texmf/web2c  (closes: #323828) [preining]

 -- Frank Küster <frank@debian.org>  Wed, 24 Aug 2005 17:18:34 +0200

tex-common (0.6) unstable; urgency=low

  * Refine the updmap transition code
  * Increase hyph_size to 10000, to make the inclusion of current
    hyphenation exception files (e.g. dehyphtex.tex) possible
  * Also build a pdf version of the Policy draft, and Build-Depend on
    tetex-bin.
  * Move LSRS variable to common.variables

 -- Frank Küster <frank@debian.org>  Wed, 17 Aug 2005 11:04:33 +0200

tex-common (0.5) unstable; urgency=low

  * Merge update-fmtutil into update-fontlang  (closes: #319651)
  * Fix installation of manpages
  * add bibtex/csf to texmf variable BSTINPUTS in 65BibTeX.cnf  (closes:
    #319650)
  * Many thanks to Norbert Preining <preining@logic.at> for providing
    patches for these changes.
  * Increase trie_size in 95NonPath.cnf to 27000, to allow TeX-Live build
    its formats with all languages installed
  * Editorial changes to the Policy Draft, thanks to Hilmar Preusse
  * Add compatibility paths for ENCFONTS and TEXFONTMAP in texmf.d
    (closes: #321074)

 -- Frank Küster <frank@debian.org>  Wed,  3 Aug 2005 12:04:42 +0200

tex-common (0.4) unstable; urgency=low

  * Bug fix: "tex-common: generalize TEXFONTMAPS and ENCFONTS", thanks to
    Norbert Preining and Hans Hagen (Closes: #318872).
  * language.dat is now a generated file in VARTEXMF, and the actual
    conffiles are in /etc/texmf/language.d.  This allows packages to add
    hyphenation patterns - many thanks again to Norbert.
  * Merged update-updmap and update-language into one file, and
    fixed location of memory files in update-updmap
  * Install the symlink to texmf.cnf

 -- Frank Küster <frank@debian.org>  Mon, 25 Jul 2005 14:22:36 +0200

tex-common (0.3) unstable; urgency=low

  * provide an upgrade path for the configuration items taken over from
    tetex-base
  * Add a versioned conflict on tetex-base - they would remove our
    00updmap.cfg file.

 -- Frank Küster <frank@debian.org>  Wed,  6 Jul 2005 17:36:30 +0200

tex-common (0.2) unstable; urgency=low

  * Install the configuration files needed by teTeX
  * Bug fix: "tex-common does not install: conflicts with tetex-bin",
    thanks to Hans Ulrich Niedermann (Closes: #314948).

 -- Frank Küster <frank@debian.org>  Wed, 29 Jun 2005 20:36:47 +0200

tex-common (0.1) unstable; urgency=low

  * Initial Release.

 -- Frank Küster <frank@debian.org>  Mon, 13 Jun 2005 18:09:55 +0200

;; Local Variables:
;; coding: utf-8
;; End:
# vim:set fileencoding=utf-8: #
